mlbench.corners {mlbench} | R Documentation

## Corners of Hypercube

### Description

The created data are `d`-dimensional spherical Gaussians with standard deviation `sd` and means at the corners of a `d`-dimensional hypercube. The number of classes is 2^d.

### Usage

    mlbench.corners(n=800, d=3, sides=rep(1,d), sd=0.1)

### Arguments

`n` | number of patterns to create
`d` | dimensionality of hypercube, default is 3
`sides` | lengths of the sides of the hypercube, default is to create a unit hypercube
`sd` | standard deviation

### Value

Returns an object of class `"mlbench.corners"` with components

`x` | input values
`classes` | factor of length `n` with target classes

### Examples

    p<-mlbench.corners()
    plot(p)

    library("scatterplot3d")
    scatterplot3d(p$x, color=as.numeric(p$classes))

[Package mlbench version 1.1-0 Index]